Name:           harminv
Version:        1.4.2
Release:        4%{?dist}
Summary:        A free program to solve the problem of harmonic inversion

License:        GPL-2.0-or-later
URL:            https://github.com/NanoComp/harminv
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  gcc-gfortran
BuildRequires:  blas-devel
BuildRequires:  lapack-devel

%description
Harminv is a free program (and accompanying library) to solve the problem of 
"harmonic inversion." Given a discrete, finite-length signal that consists of 
a sum of finitely-many sinusoids (possibly exponentially decaying), it 
determines the frequencies, decay constants, amplitudes, and phases of those 
sinusoids.

It can, in principle, provide much better accuracy than straightforward FFT 
based methods, essentially because it assumes a specific form for the signal. 
(Fourier transforms, in contrast, attempt to represent any data as a sum of 
sinusoidal components.)

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%configure --enable-shared
%make_build

%install
%make_install

%files
%license COPYING
%doc README.md NEWS.md
%{_bindir}/harminv
%{_mandir}/man1/harminv.1.gz
%{_libdir}/libharminv.so.3
%{_libdir}/libharminv.so.3.0.1

%files devel
%{_includedir}/harminv.h
%{_libdir}/libharminv.a
%{_libdir}/pkgconfig/harminv.pc
%{_libdir}/libharminv.so

%changelog
%autochangelog
